Summary: A converter which formats files for printing to PostScript printers.
Name: a2ps
Version: 4.10.4
Release: 2
Copyright: GPL
Group: Utilities/Text
Source: ftp://ftp.enst.fr/pub/unix/a2ps/a2ps-4.10.4.tar.gz 
Prereq: /sbin/install-info
Url: http://www.inf.enst.fr/~demaille/a2ps/
BuildRoot: /var/tmp/a2ps-root

%description
The a2ps program is a text to PostScript filter with
pretty-printing capabilities. A2ps includes support for a wide number of
programming languages, encodings (ISO Latins, Cyrillic, etc.), medias, and
spoken languages (for the interface).

A2ps is also capable of delegating the processing of some files to other
applications.  Using this capability, a2ps can be used as a filter for
printing other file types besides plain text (DVI, PostScript, compressed,
etc.) through the a2ps interface.

%prep
%setup -q

%build

CFLAGS="$RPM_OPT_FLAGS" LDFLAGS="-s" ./configure --with-included-gettext --prefix=/usr --sysconfdir=/etc
make

%install
rm -rf $RPM_BUILD_ROOT

make prefix=$RPM_BUILD_ROOT/usr sysconfdir=$RPM_BUILD_ROOT/etc install

( cd $RPM_BUILD_ROOT
  rm ./usr/info/dir
  gzip -9nf ./usr/info/*
)

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
/sbin/install-info /usr/info/a2ps.info.gz /usr/info/dir
/sbin/install-info /usr/info/ogonkify.info.gz /usr/info/dir
/sbin/install-info /usr/info/regex.info.gz /usr/info/dir

%preun
if [ $1 = 0 ]; then
   /sbin/install-info --delete /usr/info/a2ps.info.gz /usr/info/dir
   /sbin/install-info --delete /usr/info/ogonkify.info.gz /usr/info/dir
   /sbin/install-info --delete /usr/info/regex.info.gz /usr/info/dir
fi

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%config /etc/a2ps.cfg
%doc AUTHORS ChangeLog COPYING NEWS README TODO THANKS
/usr/bin/*
/usr/lib/*
/usr/include/*
/usr/info/a2ps.info*
/usr/info/ogonkify.info*
/usr/info/regex.info*
/usr/man/man1/*.1
/usr/share/a2ps/
/usr/share/locale/*/LC_MESSAGES/a2ps.mo

%changelog
* Sat Oct 24 1998 Jeff Johnson <jbj@redhat.com>
- narrower range of %files splats.
- install info correctly.
- new description/summary text.

* Tue Oct 06 1998 Michael Maher <mike@redhat.com>
- updated source

* Sat Jul 04 1998 Michael Maher <mike@redhat.com>
- built package
